netsnmp_table_registration_info_s(3)

NAME
netsnmp_table_registration_info_s - Table registration structure.

SYNOPSIS

#include <table.h>

  Data Fields
netsnmp_variable_list * indexes
list of varbinds with only 'type' set
unsigned int number_indexes
calculated automatically
unsigned int min_column
the minimum and maximum columns numbers.
unsigned int max_column
the maximum columns number
netsnmp_column_info * valid_columns
more details on columns

Detailed Description

Table registration structure. Definition at line 74 of file table.h.

Field Documentation

  netsnmp_variable_list* netsnmp_table_registration_info_s::indexes

list of varbinds with only 'type' set Definition at line 76 of file table.h.

Referenced by netsnmp_get_table_handler(), netsnmp_register_table_data_set(), and table_helper_handler().

  unsigned int netsnmp_table_registration_info_s::max_column

the maximum columns number Definition at line 87 of file table.h.

Referenced by netsnmp_register_table_data_set(), netsnmp_table_data_helper_handler(), netsnmp_table_iterator_helper_handler(), and table_helper_handler().

  unsigned int netsnmp_table_registration_info_s::min_column

the minimum and maximum columns numbers. If there are columns in-between which are not valid, use valid_columns to get automatic column range checking. Definition at line 85 of file table.h.

Referenced by netsnmp_register_table_data_set(), netsnmp_table_data_helper_handler(), netsnmp_table_iterator_helper_handler(), and table_helper_handler().

  unsigned int netsnmp_table_registration_info_s::number_indexes

calculated automatically Definition at line 78 of file table.h.

Referenced by netsnmp_get_table_handler(), and table_helper_handler().

  netsnmp_column_info* netsnmp_table_registration_info_s::valid_columns

more details on columns Definition at line 90 of file table.h.

Referenced by table_helper_handler().

Author

Generated automatically by Doxygen for net-snmp from the source code.